Subject: Re: FVWM: changing the desktop background

From: "David R. Morrison" <[email-masked]>
Date: Tue, 22 Oct 2002 15:14:20 -0400

On Oct 22,2002 14:53:53 -0400, Victor Eijkhout <[email-masked]> wrote :
>At 13:30 -0400 2002/10/22, Victor Eijkhout wrote:
>>>  > Is fvwm-root a component of 2.5.* ? I don't find it in 2.4.11.
>>>
>>>Is not it in your $PATH together with other fvwm-* utilities?
>>>
>>>With 2.4.8+ after "make install" fvwm-root gets installed in the same bin
>>>directory as fvwm.
>>
>>I got my fvwm2 installation from fink (package manager on Mac OS X). 
>>I'll contact the maintainer about this.
>
>So I did.
>
>At 14:36 -0400 2002/10/22, David R. Morrison wrote:
>>I ran "dpkg -L fvwm2 | grep fvwm-root" to confirm that it's not there.
>>The fink package runs "make install" on fvwm2, but this is not installed.
>>
>>Can ther person who told you this provide more clues?
>
>

Victor,

I figured this out.

The fvwm project is in the process of converting the main name of their
executable from fvwm2 to fvwm, and there are some other name changes,
including a change from xpmroot to fvwm-root.

I have not followed this change in the fink packages, because when I first set
the fink packages up, I followed the example from the Debian project and
constructed a setup which allows the original fvwm (fvwm1) and fvwm2 to be
installed simultaneously.  This recent conversion process at the fvwm project
would break my setup, so I have been disabling it by using a flag they provide
(NEW_NAME_SYMLINKS=false).  This is why you are not finding fvwm-root: it is
actually called xpmroot, it's old name.

  -- Dave

--
Visit the official FVWM web page at <URL: http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].

---

From: Mikhael Goikhman <[email-masked]>
Date: Tue, 22 Oct 2002 21:58:42 +0000

On 22 Oct 2002 15:14:20 -0400, David R. Morrison wrote:
> 
> I have not followed this change in the fink packages, because when I
> first set the fink packages up, I followed the example from the Debian
> project and constructed a setup which allows the original fvwm (fvwm1)
> and fvwm2 to be installed simultaneously.  This recent conversion
> process at the fvwm project would break my setup, so I have been
> disabling it.

All distributions that for some reason want to continue to provide the
long time unsupported fvwm-1.24r version are encouraged to use "fvwm1"
as the package and the executable names.

Regards,
Mikhael.